Bug 205146 - clipboard does not work within lyx
clipboard does not work within lyx
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lyx (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-04 16:39 EDT by Juergen Bullinger
Modified: 2008-05-06 12:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:17:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juergen Bullinger 2006-09-04 16:39:09 EDT
Sorry I didn't find lyx in the application list, so I selected latex2html,
because there wasn't an entry for latex either. It would be nice if you could
forward the following problem.


Description of problem:
It is not possible to exchange text over the clipboard with lyx. For example if
I use the gedit or evolution i can copy text to any other application but not to
lyx. The clipboard in lyx only works to copy text from one place in a lyx
document to another.
I suspect that the reason is that it is compiled against qt whereas the other
apps are compiled against gnome, since I run a gnome based system.
Is there a gnome version of lyx in the near future?


Version-Release number of selected component (if applicable):
lyx 1.4.2

How reproducible:
Always. I just updated lyx, but it still happens.

Steps to Reproduce:
1. open lyx
2. open a text document in gedit 
3. copy a pice of text from gedit and paste it to lyx => it doesn't work
  
Actual results:
nothing is inserted it doesn't even recognize that something is in the clipboard
(the menu entry paste is not active)

Expected results:
copy is possible

Additional info:
I am running gnome
Comment 1 Rex Dieter 2006-09-05 07:55:06 EDT
The old-style-X paste method of middle mouse click should (still) work (it
WORKSFORME).  I doubt you can expect much more than that (especially when
interoperating between other non qt-based apps).
Comment 2 Bug Zapper 2008-04-03 23:39:07 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 12:17:41 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.